import App from './App'

import rokeTools from "@/rokeTools";
// #ifndef VUE3
import Vue from 'vue'
// import myMixin from '@/components/mixin.js';

// Vue.use(myMixin);

//vuex 文件注册
// import store2 from '@/store';
import store from '@/rokeTools/store';

import {
	mapGetters,
	mapMutations,
	mapActions
} from 'vuex';
async function bootstrap() {
	App.mpType = 'app'
	// Vue.component('general-button', generalButton)
	Vue.config.productionTip = false

	Vue.use(rokeTools);
	const app = new Vue({
		store,
		...App,
	})

	app.$mount()
}
bootstrap();
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)